Subject: Re: bug#64619: [PATCH] Add toggle-window-dedicated command

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Aug 2023 09:13:24 +0300

> Date: Sat, 19 Aug 2023 22:36:45 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Spencer Baugh <[email-masked]>, 
>     Philip Kaludercic <[email-masked]>, [email-masked], 
>     martin rudalics <[email-masked]>, Eli Zaretskii <[email-masked]>, 
>     Drew Adams <[email-masked]>
> 
> 
> >
> > In fact, I initially used strong dedication in my patch.  But I found it 
> > annoying that I had to turn off strong dedication explicitly if I wanted 
> > to switch to another buffer.  That's what made me realize that weak 
> > dedication was better.
> >
> 
> It's not annoying, it's what dedication is for.  It's not more annoying 
> than using C-x C-q in a buffer, and later typing something in that buffer 
> and realizing (with a similar error message) that it doesn't work: you get 
> what you asked.
> 
> >
> > But C-x b doesn't use display buffer, and instead just errors when the 
> > current window is strongly dedicated, which I think is fairly useless 
> > behavior; the user reaction is almost always going to be annoyance 
> > followed by C-x w d and C-x b again. So I think weak dedication is 
> > better.
> >
> 
> If you think that's annoying, then I'd suggest setting the 
> switch-to-buffer-in-dedicated-window configuration option.  It's there for 
> a reason, and you can select between no less than four behaviors: one of 
> them is likely the one you want.

I think the reason that people disagree about the details is because
they have different use cases for this feature in mind.

To reconcile these two opinions, we could introduce a user option
which would invert the default: make strongly-dedicated the default
and weekly-dedicated the optional kind requiring C-u.

Alternatively, we could use switch-to-buffer-in-dedicated-window as
that user option: if the user sets it non-nil, we could take that as
an indication that they prefer the strongly-dedicated default.

WDYT?